V1 Update Begin Message Delay Settings#
Update begin-message delay (pause before first agent speech). Mirrors web updateAgentDetail updateModule=begin_message_delay_ms. V1 agents only.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_idstringpathrequired
Public agent id from List Agents
begin_message_delay_msintegerbody
One of: 0. min 0. max 60000. send only when changing this field
begin_message_delay_secnumberbody
One of: 0. min 0. max 60. send only when changing this field
delaynumberbody
One of: 0. min 0. max 60. send only when changing this field
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v1/manage/call-handling/begin-message-delay/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"begin_message_delay_ms":1,"begin_message_delay_sec":"0","delay":"0"}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records